Package org.openni

# Enum Class ImageRegistrationMode

java.lang.Object
java.lang.Enum<ImageRegistrationMode>
org.openni.ImageRegistrationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageRegistrationMode>`, `Constable`

public enum ImageRegistrationMode extends Enum<ImageRegistrationMode>
Provides string names values for all image registration type codes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEPTH_TO_COLOR`
`OFF`

## Method Summary

Modifier and Type
Method
Description
`static ImageRegistrationMode`
`fromNative(int value)`
`int`
`toNative()`
`static ImageRegistrationMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ImageRegistrationMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final ImageRegistrationMode OFF

### DEPTH_TO_COLOR

public static final ImageRegistrationMode DEPTH_TO_COLOR

## Method Details

### values

public static ImageRegistrationMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ImageRegistrationMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toNative

public int toNative()

### fromNative

public static ImageRegistrationMode fromNative(int value)